import { AppService } from '../app/app.service';
import { Query, DocsContentStyles } from './types';
export declare class DatabaseServerService {
    private Api;
    app: AppService;
    constructor(app: AppService);
    all<Item>(sheet: string, cacheTime?: number): Promise<Item[]>;
    query<Item>(sheet: string, query: Query, cacheTime?: number): Promise<Item[]>;
    item<Item>(sheet: string, key: string, cacheTime?: number): Promise<Item>;
    content(urlOrDocId: string, styles?: DocsContentStyles, cacheTime?: number): Promise<{
        docId?: string;
        content: string;
    }>;
    set<Data>(sheet: string, key: string, data: Data): Promise<any>;
    update<Data>(sheet: string, key: string, data: Data): Promise<any>;
    add<Data>(sheet: string, key: string, data: Data): Promise<any>;
    remove(sheet: string, key: string): Promise<any>;
    increase(sheet: string, key: string, increasing: string | string[] | {
        [path: string]: number;
    }): Promise<any>;
}
